Bug 1282436 - Error:undefined method `[]' for nil:NilClass [miq_task/button] when clicked on cancel job button in All VM Analysis & All other Task Page
Error:undefined method `[]' for nil:NilClass [miq_task/button] when clicked o...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity medium
: GA
: 5.5.0
Assigned To: Dávid Halász
Aziza Karol
:
: 1282858 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-16 07:07 EST by Aziza Karol
Modified: 2015-12-08 08:47 EST (History)
9 users (show)

See Also:
Fixed In Version: 5.5.0.11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:47:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
err (52.00 KB, image/png)
2015-11-16 07:07 EST, Aziza Karol
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2551 normal SHIPPED_LIVE Moderate: CFME 5.5.0 bug fixes and enhancement update 2015-12-08 12:58:09 EST

  None (edit)
Description Aziza Karol 2015-11-16 07:07:15 EST
Created attachment 1094862 [details]
err

Description of problem:


Version-Release number of selected component (if applicable):
5.5.0.10

How reproducible:
100%

Steps to Reproduce:
1.Navigate to configure->task->All VM Analysis Task or All other Task
2.click on Cancel job button
3.

Actual results:
 undefined method `[]' for nil:NilClass [miq_task/button] displayed in UI. see attached screenshot

Expected results:
Cancel job button should be only enabled when job is selected for cancelling.

Additional info:
production.log
[----] I, [2015-11-16T07:04:30.029277 #2910:bfd998]  INFO -- : Started POST "/miq_task/button?pressed=miq_task_canceljob" for 127.0.0.1 at 2015-11-16 07:04:30 -0500
[----] I, [2015-11-16T07:04:30.031060 #2910:bfd998]  INFO -- : Processing by MiqTaskController#button as JS
[----] I, [2015-11-16T07:04:30.031173 #2910:bfd998]  INFO -- :   Parameters: {"chosen_zone"=>"<all>", "user_choice"=>"all", "time_period"=>"0", "queued"=>"1", "running"=>"1", "ok"=>"1", "error"=>"1", "warn"=>"1", "state_choice"=>"all", "pressed"=>"miq_task_canceljob"}
[----] F, [2015-11-16T07:04:30.068322 #2910:bfd998] FATAL -- : Error caught: [NoMethodError] undefined method `[]' for nil:NilClass
/var/www/miq/vmdb/app/controllers/miq_task_controller.rb:138:in `canceljobs'
/var/www/miq/vmdb/app/controllers/miq_task_controller.rb:275:in `button'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_controller/metal/implicit_render.rb:4:in `send_action'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/abstract_controller/base.rb:198:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_controller/metal/rendering.rb:10:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/abstract_controller/callbacks.rb:20:in `block in process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/callbacks.rb:117:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/callbacks.rb:117:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/callbacks.rb:555:in `block (2 levels) in compile'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/callbacks.rb:505:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/callbacks.rb:505:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/callbacks.rb:92:in `__run_callbacks__'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/callbacks.rb:778:in `_run_process_action_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/callbacks.rb:81:in `run_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/abstract_controller/callbacks.rb:19:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_controller/metal/rescue.rb:29:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_controller/metal/instrumentation.rb:32:in `block in process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/notifications/instrumenter.rb:20:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_controller/metal/instrumentation.rb:30:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_controller/metal/params_wrapper.rb:250:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activerecord/lib/active_record/railties/controller_runtime.rb:18:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/abstract_controller/base.rb:137:in `process'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionview/lib/action_view/rendering.rb:30:in `process'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_controller/metal.rb:196:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_controller/metal/rack_delegation.rb:13:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_controller/metal.rb:237:in `block in action'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/routing/route_set.rb:76:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/routing/route_set.rb:76:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/routing/route_set.rb:45:in `serve'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/journey/router.rb:43:in `block in serve'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/journey/router.rb:30:in `each'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/journey/router.rb:30:in `serve'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/routing/route_set.rb:817:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/etag.rb:24:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/conditionalget.rb:38:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/head.rb:13:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/middleware/params_parser.rb:27:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/middleware/flash.rb:260:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/session/abstract/id.rb:225:in `context'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/session/abstract/id.rb:220:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/middleware/cookies.rb:560:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activerecord/lib/active_record/query_cache.rb:36:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activerecord/lib/active_record/connection_adapters/abstract/connection_pool.rb:653:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/middleware/callbacks.rb:29:in `block in call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/callbacks.rb:88:in `__run_callbacks__'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/callbacks.rb:778:in `_run_call_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/callbacks.rb:81:in `run_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/middleware/callbacks.rb:27:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/middleware/remote_ip.rb:78:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/middleware/debug_exceptions.rb:17:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/railties/lib/rails/rack/logger.rb:38:in `call_app'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/railties/lib/rails/rack/logger.rb:22:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/middleware/request_id.rb:21:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/methodoverride.rb:22:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/runtime.rb:18:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/lock.rb:17:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/middleware/static.rb:116:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/middleware/static.rb:116:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/sendfile.rb:113:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/railties/lib/rails/engine.rb:518:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/railties/lib/rails/application.rb:165:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/content_length.rb:15:in `call'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:86:in `block in pre_process'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:84:in `catch'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:84:in `pre_process'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:53:in `process'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:39:in `receive_data'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/eventmachine-1.0.7/lib/eventmachine.rb:187:in `run_machine'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/eventmachine-1.0.7/lib/eventmachine.rb:187:in `run'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/backends/base.rb:73:in `start'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/server.rb:162:in `start'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/handler/thin.rb:19:in `run'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/server.rb:286:in `start'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/railties/lib/rails/commands/server.rb:80:in `start'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/railties/lib/rails/commands/commands_tasks.rb:80:in `block in server'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/railties/lib/rails/commands/commands_tasks.rb:75:in `tap'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/railties/lib/rails/commands/commands_tasks.rb:75:in `server'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/railties/lib/rails/commands/commands_tasks.rb:39:in `run_command!'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/railties/lib/rails/commands.rb:17:in `<top (required)>'
/var/www/miq/vmdb/bin/rails:4:in `require'
/var/www/miq/vmdb/bin/rails:4:in `<main>'
Comment 4 CFME Bot 2015-11-17 11:00:21 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/d1b1eeb2b5f913b9538acc614cef2e29101b1f72

commit d1b1eeb2b5f913b9538acc614cef2e29101b1f72
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Tue Nov 17 14:36:44 2015 +0100
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Tue Nov 17 14:37:25 2015 +0100

    Allow disabling of non-dropdown toolbar buttons when rendering
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1282436

 app/helpers/toolbar_helper.rb | 1 +
 1 file changed, 1 insertion(+)
Comment 5 CFME Bot 2015-11-17 13:08:31 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=1edfc8b237d8fad6a9b4516fafb1ac48457061e6

commit 1edfc8b237d8fad6a9b4516fafb1ac48457061e6
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Tue Nov 17 14:36:44 2015 +0100
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Tue Nov 17 17:16:11 2015 +0100

    Allow disabling of non-dropdown toolbar buttons when rendering
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1282436
    Clean cherry pick from: https://github.com/ManageIQ/manageiq/pull/5480
    (cherry picked from commit d1b1eeb2b5f913b9538acc614cef2e29101b1f72)

 app/helpers/toolbar_helper.rb | 1 +
 1 file changed, 1 insertion(+)
Comment 6 CFME Bot 2015-11-17 13:08:38 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=bf00695f291f063e065384ab44f6025e859ddf45

commit bf00695f291f063e065384ab44f6025e859ddf45
Merge: e28c117 1edfc8b
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Tue Nov 17 12:26:13 2015 -0500
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Tue Nov 17 12:26:13 2015 -0500

    Merge branch 'bz-1282436' into '5.5.z'
    
    Allow disabling of non-dropdown toolbar buttons when rendering
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1282436
    Clean cherry pick from: https://github.com/ManageIQ/manageiq/pull/5480
    (cherry picked from commit d1b1eeb2b5f913b9538acc614cef2e29101b1f72)
    
    See merge request !488

 app/helpers/toolbar_helper.rb | 1 +
 1 file changed, 1 insertion(+)
Comment 7 Dávid Halász 2015-11-18 04:55:44 EST
*** Bug 1282858 has been marked as a duplicate of this bug. ***
Comment 8 Aziza Karol 2015-11-19 03:47:38 EST
Cancel job button is enabled when job is selected for cancelling.

Verified:
5.5.0.11-rc1.20151117182049_653c0d4
Comment 10 errata-xmlrpc 2015-12-08 08:47:40 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.